Skip to main content
GET
/
api
/
v1
/
subscribers
/
{email}
Get a subscriber by email
curl --request GET \
  --url https://api.railmail.app/api/v1/subscribers/{email} \
  --header 'X-API-Key: <api-key>'
{
  "subscriberKey": "<string>",
  "email": "jsmith@example.com",
  "firstName": "<string>",
  "lastName": "<string>",
  "phone": "<string>",
  "status": "<string>",
  "source": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Path Parameters

email
string<email>
required

URL-encoded subscriber email.

Response

Subscriber

subscriberKey
string | null
email
string<email>
firstName
string | null
lastName
string | null
phone
string | null
status
string
source
string | null
createdAt
string<date-time>
updatedAt
string<date-time>